package com.fs.store.mapper;

import java.util.List;
import com.fs.store.domain.FsStoreVisit;

/**
 * 产品浏览分析Mapper接口
 * 
 * @author fs
 * @date 2022-03-15
 */
public interface FsStoreVisitMapper 
{
    /**
     * 查询产品浏览分析
     * 
     * @param id 产品浏览分析ID
     * @return 产品浏览分析
     */
    public FsStoreVisit selectFsStoreVisitById(Long id);

    /**
     * 查询产品浏览分析列表
     * 
     * @param fsStoreVisit 产品浏览分析
     * @return 产品浏览分析集合
     */
    public List<FsStoreVisit> selectFsStoreVisitList(FsStoreVisit fsStoreVisit);

    /**
     * 新增产品浏览分析
     * 
     * @param fsStoreVisit 产品浏览分析
     * @return 结果
     */
    public int insertFsStoreVisit(FsStoreVisit fsStoreVisit);

    /**
     * 修改产品浏览分析
     * 
     * @param fsStoreVisit 产品浏览分析
     * @return 结果
     */
    public int updateFsStoreVisit(FsStoreVisit fsStoreVisit);

    /**
     * 删除产品浏览分析
     * 
     * @param id 产品浏览分析ID
     * @return 结果
     */
    public int deleteFsStoreVisitById(Long id);

    /**
     * 批量删除产品浏览分析
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteFsStoreVisitByIds(Long[] ids);
}
